/* #create-ticket-section{
    display: none;
} */

.col-span-1:has(#create-ticket-form){
    position: absolute;
}

div.filament-modal-window{
    max-height: calc(100vh - 2em);
    overflow-y: auto;
    border-radius: 0;
}

.filament-modal-header div{
    height: 100%;
}

div:has(> .filament-modal-header){
    position: sticky;
    top: 0;
    background: white;
    z-index: 1;
}

div:has(> .filament-modal-footer){
    position: sticky;
    bottom: 0;
    background: white;
    z-index: 1;
}

div:has(> .filament-modal-header)::before{
    content: '';
    position: absolute;
    top: -0.5em;
    left: 0;
    width: 100%;
    height: 0.5em;
    background: white;
}

div:has(> .filament-modal-footer)::before{
    content: '';
    position: absolute;
    bottom: -0.5em;
    left: 0;
    width: 100%;
    height: 0.5em;
    background: white;
}

.hr{
    position: sticky;
    width: 80%;
    left: 10%;
    bottom: 0;
    border-bottom-width: 1px;
}

.border-b-0{
    border-bottom-width: 0 !important;
}

header.filament-header{
    padding-top: 0;
}

.filament-resources-list-records-page .filament-tables-table-container{
    height: calc(100vh - 260px);
}

.filament-main-footer{
    display: none;
}

.filament-tables-component{
    margin-top: 0 !important;
}

.filament-tables-text-column{
    padding: .25rem !important;
}

.filament-tables-actions-cell{
    padding: .25rem .75rem !important;
}

.filament-tables-header-cell button{
    padding: .5rem .25rem !important;
}

.filament-table-header-cell-status button,
.filament-table-header-cell-created-at button{
    justify-content: center;
}

#created_at.filament-tables-text-column{
    text-align: center;
}

.filament-tables-actions-container{
    gap: .5rem !important;
}

div.col-span-1:has(.filament-forms-toggle-component){
    position: relative;
    margin-bottom: .25rem;
}

div.space-y-2:has(.filament-forms-toggle-component){
    margin: 0;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

div.filament-forms-field-wrapper:has(.filament-forms-field-wrapper-error-message){
    position: relative;
}

p.filament-forms-field-wrapper-error-message{
    position: absolute;
    bottom: -7.5px;
    font-size: 12px;
    line-height: 12px;
    left: 8px;
    background: white;
    padding: 1.5px 5px;
    border-radius: 5px;
}

@media screen and (max-height: 700px) {
    .border-b-1{
        border-bottom-width: 1px !important;
    }
}
@media (min-width: 1024px){
    div.filament-main-content{
        padding-left: 1em;
        padding-right: 1em;
    }
}